Skip to main content
GET
/
v1
/
promotions
List
curl --request GET \
  --url https://{defaultHost}/v1/promotions \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/promotions"
  },
  "data": [
    {
      "id": "d0147bf0-853d-4233-91a8-a1bf2832bbfa",
      "object": "promotion",
      "archived": false,
      "archived_at": null,
      "code": "TESTCODE",
      "expired": false,
      "max_redemptions": null,
      "metadata": {},
      "redeem_by": null,
      "times_redeemed": 0,
      "affiliation": null,
      "coupon": "fa91c8d8-2f1b-412d-99d1-304a2e6fcb20",
      "customer": null,
      "discarded_at": null,
      "created_at": 1778010904,
      "updated_at": 1778010904
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

affiliation_ids[]
string[]

Only return objects that belong to the given affiliations.

archived
boolean

Only return objects that are archived or not archived.

coupon_ids[]
string[]

Only return objects with the given coupon IDs.

customer_ids[]
string[]

Only return objects that belong to the given customers.

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

query
string

The query to be used for full text search of this collection.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.